.cta-section-left-icon {
    background-color: var(--color3);
    color: var(--color7);
    padding: 60px 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: left;
    max-width: 100%;
    width: 100%;
    margin: auto;
}

.cta-content-left-icon {
    display: flex;
    align-items: center;
    gap: 50px;
}

.cta-icon-left img {
    width: 125px;
    height: auto;
    display: block;
}

.cta-text-left h2 {
    font-size: 1.8rem;
    font-weight: bold;
    margin-top: 0 !important;
    display: inline;
    color: var(--color7);
}

.cta-text-left p {
    font-size: 1rem;
    font-weight: 100;
    margin: 10px 0;
    color: var(--color7);
}

.cta-button-left {
    background-color: var(--color7);
    color: var(--color2) !important;
    font-weight: bold;
    text-decoration: none;
    padding: 10px 50px;
    border-radius: 5px;
    display: inline-block;
    margin-top: 10px;
    font-size: 25px;
    transition: all 0.2s ease-in-out;
    /* Smooth transition */
}

.cta-button-left:hover {
    background-color: var(--color2);
    color: var(--color7) !important;
    font-style: normal !important;
    text-decoration: none !important;
}

/* On mobile, switch to grid for better stacking */
@media screen and (max-width: 768px) {
    .cta-content-left-icon {
        display: grid;
        grid-template-columns: 1fr;
        gap: 20px;
        /* Adjust gap for mobile layout */
        text-align: center;
        /* Center text for a better look */
    }
}

/* On mobile, switch to grid for better stacking */
@media screen and (max-width: 768px) {
    .cta-icon-left img {
        margin: 0 auto;
    }
}